package com.huimv.eartag2.eartag.service;

import com.huimv.eartag2.common.service.IBaseConfigService;
import com.huimv.eartag2.common.service.impl.BaseConfigServiceImpl;
import com.huimv.eartag2.common.utils.BizConst;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.HashOperations;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Map;
import java.util.Set;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
@RunWith(SpringRunner.class)
public class ServiceTest {

    @Autowired
    private IBaseConfigService iBaseConfigService;
    @Autowired
    public RedisTemplate redisTemplate;


    @Test
    public  void test4 (){
        String hashKey = "hash:tempAlarm:farmCode:110101002";
//        redisTemplate.opsForHash().delete(hashKey);
        redisTemplate.opsForHash().put(hashKey,"eartagMaxTem","30");
        redisTemplate.opsForHash().put(hashKey,"eartagMinTem","20");

        System.out.println(  redisTemplate.opsForHash().get(hashKey,"eartagMaxTem"));
        System.out.println(  redisTemplate.opsForHash().get(hashKey,"eartagMinTem"));

    }

    @Test
    public void test_1(){
        Map map = iBaseConfigService.getConfigValue("dropDataEartagOffLineTime","330784002","0");
        System.out.println("map.toString="+map.toString());
    }
    @Test
    public  void s() {
//        RedisTemplate<Object, Object> redisTemplate = new RedisTemplate<>();
        String hashKey ="hash:register:device:330784001000009";
        HashOperations hashOperations = redisTemplate.opsForHash();

        System.out.println(hashOperations.get(hashKey,"farmId"));
        hashOperations.put(hashKey, "farmId", "220101001");
        System.out.println(hashOperations.get(hashKey,"farmId"));
    }

    @Test
    public void getEartagOnlineTotalFromCache(String farmId, String todayDateText) {
        String setKey = BizConst.SET_FARM_EARMARK_ONLINE_PREFIX + "330226001:2023-12-25";
        Set members = redisTemplate.opsForSet().members(setKey);
        System.out.println(members.toString());
    }

}
