package com.huimv.eartag2.manage2.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.eartag2.manage2.pojo.EartagData;
import com.huimv.eartag2.manage2.pojo.EartagData2;
import com.huimv.eartag2.common.utils.Result;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.manage2.utils.Data;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2022-07-29
 */
public interface IEartagData2Service extends IService<EartagData> {

    List<EartagData> getEartagData(String earmark) throws ParseException;

    Result getEnvByTime(Map<String, String> map);

    Result getEnvByTime2(Map<String, String> map);

    Result getEartagDataByEarmark(Map<String, String> map);

    Result getTemp(Map<String, String> map);

    Result getAct(Map<String, String> map);

    Result countEartag(Map<String, String> map);

    Result getEnvByTimePanan(Map<String, String> map);

    Result getEnvLast(Map<String, String> map);

    List<Data> getActAndEemp(QueryWrapper<EartagData> eartagData2QueryWrapper);

    Result getByTimeFilter(Map<String, String> map);
}
