package com.huimv.eartag2.manage2.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.eartag2.manage2.pojo.EartagData;
import com.huimv.eartag2.manage2.pojo.EartagData2;
import com.huimv.eartag2.manage2.pojo.pojovo.AllHelthyDto;
import com.huimv.eartag2.manage2.pojo.pojovo.EartagDataDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.eartag2.manage2.utils.Data;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-07-29
 */
public interface EartagData2Mapper extends BaseMapper<EartagData> {
    //
    List<EartagData> getEartagDataByEarmark(@Param("earmark") String earmark, @Param("recordCount") String recordCount);

    List<EartagDataDto> getAct(@Param(Constants.WRAPPER) QueryWrapper<EartagData> wrapper);

    List<AllHelthyDto> allHealthy3(@Param(Constants.WRAPPER) QueryWrapper<EartagData> wrapper);

    List<Data> getActAndEemp(@Param(Constants.WRAPPER) QueryWrapper<EartagData> eartagData2QueryWrapper);
}
